Appearance
Research Goals API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| createResearchGoals | POST /researchGoals | Create Research Goals |
| deleteResearchGoal | DELETE /researchGoals/ | Delete Research Goal |
| editResearchGoals | PATCH /researchGoals/ | Edit Research Goals |
| getResearchGoal | GET /researchGoals/ | Get Research Goal |
| listResearchGoals | GET /researchGoals | List Research Goals |
createResearchGoals
ResearchGoal createResearchGoals(researchGoalCreate)
Example
typescript
import { createConfiguration, ResearchGoalsApi } from '';
import type { ResearchGoalsApiCreateResearchGoalsRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ResearchGoalsApi(configuration);
const request: ResearchGoalsApiCreateResearchGoalsRequest = {
researchGoalCreate: {
description: "description_example",
projectId: "projectId_example",
},
};
const data = await apiInstance.createResearchGoals(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| researchGoalCreate | ResearchGoalCreate |
Return type
ResearchGoal
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
deleteResearchGoal
any deleteResearchGoal()
Example
typescript
import { createConfiguration, ResearchGoalsApi } from '';
import type { ResearchGoalsApiDeleteResearchGoalRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ResearchGoalsApi(configuration);
const request: ResearchGoalsApiDeleteResearchGoalRequest = {
researchGoalId: "research_goal_id_example",
};
const data = await apiInstance.deleteResearchGoal(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| researchGoalId | [string] | defaults to undefined |
Return type
any
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
editResearchGoals
ResearchGoal editResearchGoals(researchGoalUpdate)
Example
typescript
import { createConfiguration, ResearchGoalsApi } from '';
import type { ResearchGoalsApiEditResearchGoalsRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ResearchGoalsApi(configuration);
const request: ResearchGoalsApiEditResearchGoalsRequest = {
researchGoalId: "research_goal_id_example",
researchGoalUpdate: {
description: "description_example",
},
};
const data = await apiInstance.editResearchGoals(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| researchGoalUpdate | ResearchGoalUpdate | ||
| researchGoalId | [string] | defaults to undefined |
Return type
ResearchGoal
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
getResearchGoal
ResearchGoal getResearchGoal()
Example
typescript
import { createConfiguration, ResearchGoalsApi } from '';
import type { ResearchGoalsApiGetResearchGoalRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ResearchGoalsApi(configuration);
const request: ResearchGoalsApiGetResearchGoalRequest = {
researchGoalId: "research_goal_id_example",
};
const data = await apiInstance.getResearchGoal(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| researchGoalId | [string] | defaults to undefined |
Return type
ResearchGoal
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
listResearchGoals
PageResearchGoal listResearchGoals()
Example
typescript
import { createConfiguration, ResearchGoalsApi } from '';
import type { ResearchGoalsApiListResearchGoalsRequest } from '';
const configuration = createConfiguration();
const apiInstance = new ResearchGoalsApi(configuration);
const request: ResearchGoalsApiListResearchGoalsRequest = {
// Page number (optional)
page: 1,
// Page size (optional)
size: 50,
};
const data = await apiInstance.listResearchGoals(request);
console.log('API called successfully. Returned data:', data);Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| page | [number] | Page number | (optional) defaults to 1 |
| size | [number] | Page size | (optional) defaults to 50 |
Return type
PageResearchGoal
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |